--- /dev/null
+open_wrapper.sh
--- /dev/null
+bindir ?= $(PWD)
+
+all:
+ sed -e 's#@bindir@#$(bindir)#g' open_wrapper.sh.in > open_wrapper.sh \
+ && chmod +x open_wrapper.sh
+
+clean:
+ rm -f open_wrapper.sh
The open_wrapper.sh script can be used in gajim as a browser command to
download, decrypt, and open the files automatically.
+
+
+NOTE:
+
+Run make to prepare the wrapper script, this is needed only the first time the
+project is downloaded.
+
+++ /dev/null
-#!/bin/sh
-#
-# open_warapper.sh - wrapper script for conversations_http_downloader.py
-#
-# Copyright (C) 2016 Antonio Ospite <ao2@ao2.it>
-#
-# This program is free software. It comes without any warranty, to
-# the extent permitted by applicable law. You can redistribute it
-# and/or modify it under the terms of the Do What The Fuck You Want
-# To Public License, Version 2, as published by Sam Hocevar. See
-# http://sam.zoy.org/wtfpl/COPYING for more details.
-#
-# This script is based on
-# https://github.com/iNPUTmice/ImageDownloader/blob/master/openbrowser.sh
-
-set -e
-
-DOWNLOADER="/home/ao2/Proj/conversations_http_downloader/conversations_http_downloader.py"
-URL="$1"
-
-decrypted_file()
-{
- URL="$1"
-
- TEMPDIR=$(mktemp -d)
-
- cd $TEMPDIR
- $DOWNLOADER "$URL"
- cd $OLDPWD
-
- FILENAME=$(basename ${URL%#*})
- echo "${TEMPDIR}/${FILENAME}"
-}
-
-if echo -n "$URL" | grep -q '#[[:xdigit:]]\{96\}$';
-then
- DESTINATION=$(decrypted_file "$URL")
-else
- DESTINATION="$URL"
-fi
-
-exec xdg-open "$DESTINATION"
--- /dev/null
+#!/bin/sh
+#
+# open_warapper.sh - wrapper script for conversations_http_downloader.py
+#
+# Copyright (C) 2016 Antonio Ospite <ao2@ao2.it>
+#
+# This program is free software. It comes without any warranty, to
+# the extent permitted by applicable law. You can redistribute it
+# and/or modify it under the terms of the Do What The Fuck You Want
+# To Public License, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+#
+# This script is based on
+# https://github.com/iNPUTmice/ImageDownloader/blob/master/openbrowser.sh
+
+set -e
+
+DOWNLOADER="@bindir@/conversations_http_downloader.py"
+URL="$1"
+
+decrypted_file()
+{
+ URL="$1"
+
+ TEMPDIR=$(mktemp -d)
+
+ cd $TEMPDIR
+ $DOWNLOADER "$URL"
+ cd $OLDPWD
+
+ FILENAME=$(basename ${URL%#*})
+ echo "${TEMPDIR}/${FILENAME}"
+}
+
+if echo -n "$URL" | grep -q '#[[:xdigit:]]\{96\}$';
+then
+ DESTINATION=$(decrypted_file "$URL")
+else
+ DESTINATION="$URL"
+fi
+
+exec xdg-open "$DESTINATION"